Subject: bug#17255: closed (Re: bug#17255: 24.3.90; Warning (initialization): Building Emacs overflowed pure space)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Apr 2014 07:35:04 +0000

Your bug report

#17255: 24.3.90; Warning (initialization): Building Emacs overflowed pure space

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17255: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17255
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17255: 24.3.90; Warning (initialization): Building Emacs overflowed pure space
From: Eli Zaretskii <[email-masked]>
To: Sven Joachim <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Apr 2014 10:34:20 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Sven Joachim <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 13 Apr 2014 08:30:56 +0200
> 
> >> ,----
> >> | Warning (initialization): Building Emacs overflowed pure space.
> >> (See the node Pure Storage in the Lisp manual for details.)
> >> `----
> >
> > What is the smallest increment to BASE_PURESIZE that makes this
> > problem go away?
> 
> Increasing it by as little as 100 is sufficient.  Here is what I got
> without the increment:
> 
> ,----
> | emacs:0:Pure Lisp storage overflow (approx. 1700061 bytes needed)
> `----

Thanks, I bumped it by 1K.

Subject: 24.3.90; Warning (initialization): Building Emacs overflowed pure space
From: Sven Joachim <[email-masked]>
To: [email-masked]
Date: Sat, 12 Apr 2014 23:11:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I upgraded the emacs-24 branch (should be close to the just-released
24.3.90 pretest), and was greeted with an unpleasant warning:

,----
| Warning (initialization): Building Emacs overflowed pure space.  (See the node Pure Storage in the Lisp manual for details.)
`----

Running "make bootstrap" did not help.

In GNU Emacs 24.3.90.1 (i486-pc-linux-gnu, GTK+ Version 2.24.23)
 of 2014-04-12 on turtle
Repository revision: 116951 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11500901
System Description:	Debian GNU/Linux

Configured using:
 `configure --build=i486-pc-linux-gnu --without-gconf
 --with-x-toolkit=gtk2 build_alias=i486-pc-linux-gnu'

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e <help-echo> p o r t - e m <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils warnings time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
nil